> ## Documentation Index
> Fetch the complete documentation index at: https://checkly-422f444a-auto-update-api-spec.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Mint a short-lived, read-only Elements data token



## OpenAPI

````yaml post /v1/embed-tokens
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: >-
    These are the docs for the newly released Checkly Public API. If you have
    any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /v1/embed-tokens:
    post:
      tags:
        - Elements
      summary: Mint a short-lived, read-only Elements data token
      operationId: postV1Embedtokens
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ElementsEmbedTokenRequest'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ElementsEmbedTokenResponse'
components:
  schemas:
    ElementsEmbedTokenRequest:
      type: object
      properties:
        scope:
          $ref: '#/components/schemas/ElementsEmbedScope'
        expiresIn:
          type: integer
          default: 900
          minimum: 60
          maximum: 3600
      required:
        - scope
    ElementsEmbedTokenResponse:
      type: object
      properties:
        token:
          type: string
        expiresAt:
          type: string
          format: date-time
      required:
        - token
        - expiresAt
    ElementsEmbedScope:
      type: object
      properties:
        checkIds:
          $ref: '#/components/schemas/ElementsEmbedCheckIds'
      required:
        - checkIds
    ElementsEmbedCheckIds:
      type: array
      minItems: 1
      maxItems: 20
      items:
        type: string
        x-format:
          guid: true
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >-
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys). Your API key
        is like a password: keep it secure!

        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.

        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"` 

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.